<?php if ( function_exists('register_sidebar') ) register_sidebar();
// Custom Image Header
define('HEADER_TEXTCOLOR', 'fff');
define('HEADER_IMAGE', '%s/images/header.jpg'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', 900);
define('HEADER_IMAGE_HEIGHT', 180);

function theme_admin_header_style() {
?>
<style type="text/css">
  #headimg {
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
	height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;
	background: url(<?php header_image(); ?>) no-repeat center;	
	text-align:right;
}
#headimg h1 {
	padding: 10px 10px 0 0px;
	font-size:1.8em;
	font-variant:small-caps;
}
#headimg #desc {
	padding: 0 10px;
	font-size:1em;
}
#headimg * 
{
	margin: 0;
	padding: 0;
	text-decoration: none;
	color: #<?php header_textcolor();?>;
}
</style>
<?php
}
function theme_header_style() {
?>
<style type="text/css">

  #header {
	margin: 0 auto;
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
	height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;
	background: url(<?php header_image(); ?>) no-repeat center;	
  }
  #header *
  {
	color: #<?php header_textcolor();?>;
  }
</style>
<?php
}
if ( function_exists('add_custom_image_header') ) {
	add_custom_image_header('theme_header_style', 'theme_admin_header_style');
}
?>